libstdc++: std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits > Class Template Reference

libstdc++

std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits > Class Template Reference
Strings | Containers » Sequences | Technical Specifications » Library Fundamentals TS

`#include <>>`

## Public Types
using | const_iterator
using | const_pointer
using | const_reference
using | const_reverse_iterator
using | difference_type
using | iterator
using | pointer
using | reference
using | reverse_iterator
using | size_type
using | traits_type
using | value_type

## Public Member Functions
constexpr | basic_string_view (const _CharT *__str)
constexpr | basic_string_view (const _CharT *__str, size_type __len)
template<typename _Allocator>
| basic_string_view (const basic_string< _CharT, _Traits, _Allocator > &__str) noexcept
constexpr | basic_string_view (const basic_string_view &) noexcept=default
constexpr const _CharT & | at (size_type __pos) const
constexpr const _CharT & | back () const
constexpr const_iterator | begin () const noexcept
constexpr const_iterator | cbegin () const noexcept
constexpr const_iterator | cend () const noexcept
constexpr int | compare (basic_string_view __str) const noexcept
constexpr int | compare (const _CharT *__str) const noexcept
constexpr int | compare (size_type __pos1, size_type __n1, basic_string_view __str) const
constexpr int | compare (size_type __pos1, size_type __n1, basic_string_view __str, size_type __pos2, size_type __n2) const
constexpr int | compare (size_type __pos1, size_type __n1, const _CharT *__str) const
constexpr int | compare (size_type __pos1, size_type __n1, const _CharT *__str, size_type __n2) const
size_type | copy (_CharT *__str, size_type __n, size_type __pos=0) const
const_reverse_iterator | crbegin () const noexcept
const_reverse_iterator | crend () const noexcept
constexpr const _CharT * | data () const noexcept
constexpr bool | empty () const noexcept
constexpr const_iterator | end () const noexcept
constexpr size_type | find (_CharT __c, size_type __pos=0) const noexcept
constexpr size_type | find (basic_string_view __str, size_type __pos=0) const noexcept
constexpr size_type | find (const _CharT *__str, size_type __pos, size_type __n) const noexcept
constexpr size_type | find (const _CharT *__str, size_type __pos=0) const noexcept
constexpr size_type | find_first_not_of (_CharT __c, size_type __pos=0) const noexcept
constexpr size_type | find_first_not_of (basic_string_view __str, size_type __pos=0) const noexcept
constexpr size_type | find_first_not_of (const _CharT *__str, size_type __pos, size_type __n) const
constexpr size_type | find_first_not_of (const _CharT *__str, size_type __pos=0) const noexcept
constexpr size_type | find_first_of (_CharT __c, size_type __pos=0) const noexcept
constexpr size_type | find_first_of (basic_string_view __str, size_type __pos=0) const noexcept
constexpr size_type | find_first_of (const _CharT *__str, size_type __pos, size_type __n) const
constexpr size_type | find_first_of (const _CharT *__str, size_type __pos=0) const noexcept
constexpr size_type | find_last_not_of (_CharT __c, size_type __pos=npos) const noexcept
constexpr size_type | find_last_not_of (basic_string_view __str, size_type __pos=npos) const noexcept
constexpr size_type | find_last_not_of (const _CharT *__str, size_type __pos, size_type __n) const
constexpr size_type | find_last_not_of (const _CharT *__str, size_type __pos=npos) const noexcept
constexpr size_type | find_last_of (_CharT __c, size_type __pos=npos) const noexcept
constexpr size_type | find_last_of (basic_string_view __str, size_type __pos=npos) const noexcept
constexpr size_type | find_last_of (const _CharT *__str, size_type __pos, size_type __n) const
constexpr size_type | find_last_of (const _CharT *__str, size_type __pos=npos) const noexcept
constexpr const _CharT & | front () const
constexpr size_type | length () const noexcept
constexpr size_type | max_size () const noexcept
template<typename _Allocator>
| operator basic_string< _CharT, _Traits, _Allocator > () const
basic_string_view & | operator= (const basic_string_view &) noexcept=default
constexpr const _CharT & | operator[] (size_type __pos) const
const_reverse_iterator | rbegin () const noexcept
constexpr void | remove_prefix (size_type __n)
constexpr void | remove_suffix (size_type __n)
const_reverse_iterator | rend () const noexcept
constexpr size_type | rfind (_CharT __c, size_type __pos=npos) const noexcept
constexpr size_type | rfind (basic_string_view __str, size_type __pos=npos) const noexcept
constexpr size_type | rfind (const _CharT *__str, size_type __pos, size_type __n) const noexcept
constexpr size_type | rfind (const _CharT *__str, size_type __pos=npos) const noexcept
constexpr size_type | size () const noexcept
constexpr basic_string_view | substr (size_type __pos=0, size_type __n=npos) const
constexpr void | swap (basic_string_view &__sv) noexcept
template<typename _Allocator = std::allocator<_CharT>>
basic_string< _CharT, _Traits, _Allocator > | to_string (const _Allocator &__alloc=_Allocator()) const

## Static Public Attributes
static constexpr size_type | npos

## Detailed Description

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>
class std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >

A non-owning reference to a string.

Template Parameters

  _CharT | Type of character
  _Traits | Traits for character type, defaults to char_traits<_CharT>.

A basic_string_view looks like this:

_CharT* _M_str
size_t _M_len

Definition at line 80 of file experimental/string_view.

## Member Typedef Documentation

## ◆ const_iterator

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::const_iterator

Definition at line 91 of file experimental/string_view.

## ◆ const_pointer

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::const_pointer

Definition at line 88 of file experimental/string_view.

## ◆ const_reference

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::const_reference

Definition at line 90 of file experimental/string_view.

## ◆ const_reverse_iterator

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::const_reverse_iterator

Definition at line 93 of file experimental/string_view.

## ◆ difference_type

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::difference_type

Definition at line 96 of file experimental/string_view.

## ◆ iterator

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::iterator

Definition at line 92 of file experimental/string_view.

## ◆ pointer

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::pointer

Definition at line 87 of file experimental/string_view.

## ◆ reference

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::reference

Definition at line 89 of file experimental/string_view.

## ◆ reverse_iterator

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::reverse_iterator

Definition at line 94 of file experimental/string_view.

## ◆ size_type

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::size_type

Definition at line 95 of file experimental/string_view.

## ◆ traits_type

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::traits_type

Definition at line 85 of file experimental/string_view.

## ◆ value_type

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

using std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::value_type

Definition at line 86 of file experimental/string_view.

## Constructor & Destructor Documentation

## ◆ basic_string_view() [1/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::basic_string_view | ( |  | ) |
| inlineconstexprnoexcept

Definition at line 102 of file experimental/string_view.

## ◆ basic_string_view() [2/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>
template<typename _Allocator>

std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::basic_string_view | ( | const basic_string< _CharT, _Traits, _Allocator > & | __str | ) |
| inlinenoexcept

Definition at line 109 of file experimental/string_view.

## ◆ basic_string_view() [3/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::basic_string_view | ( | const _CharT * | __str | ) |
| inlineconstexpr

Definition at line 114 of file experimental/string_view.

## ◆ basic_string_view() [4/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::basic_string_view | ( | const _CharT * | __str,
|  | size_type | __len )
| inlineconstexpr

Definition at line 119 of file experimental/string_view.

## Member Function Documentation

## ◆ at()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const _CharT & std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::at | ( | size_type | __pos | ) | const
| inlineconstexpr

Definition at line 192 of file experimental/string_view.

## ◆ back()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const _CharT & std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::back | ( |  | ) | const
| inlineconstexpr

Definition at line 211 of file experimental/string_view.

## ◆ begin()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const_iterator std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::begin | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 130 of file experimental/string_view.

## ◆ cbegin()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const_iterator std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::cbegin | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 138 of file experimental/string_view.

## ◆ cend()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const_iterator std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::cend | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 142 of file experimental/string_view.

## ◆ compare() [1/6]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

int std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::compare | ( | basic_string_view< _CharT, _Traits > | __str | ) | const
| inlineconstexprnoexcept

Definition at line 291 of file experimental/string_view.

## ◆ compare() [2/6]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

int std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::compare | ( | const _CharT * | __str | ) | const
| inlineconstexprnoexcept

Definition at line 310 of file experimental/string_view.

## ◆ compare() [3/6]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

int std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::compare | ( | size_type | __pos1,
|  | size_type | __n1,
|  | basic_string_view< _CharT, _Traits > | __str ) const
| inlineconstexpr

Definition at line 301 of file experimental/string_view.

## ◆ compare() [4/6]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

int std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::compare | ( | size_type | __pos1,
|  | size_type | __n1,
|  | basic_string_view< _CharT, _Traits > | __str,
|  | size_type | __pos2,
|  | size_type | __n2 ) const
| inlineconstexpr

Definition at line 305 of file experimental/string_view.

## ◆ compare() [5/6]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

int std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::compare | ( | size_type | __pos1,
|  | size_type | __n1,
|  | const _CharT * | __str ) const
| inlineconstexpr

Definition at line 314 of file experimental/string_view.

## ◆ compare() [6/6]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

int std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::compare | ( | size_type | __pos1,
|  | size_type | __n1,
|  | const _CharT * | __str,
|  | size_type | __n2 ) const
| inlineconstexpr

Definition at line 318 of file experimental/string_view.

## ◆ copy()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::copy | ( | _CharT * | __str,
|  | size_type | __n,
|  | size_type | __pos = 0 ) const
| inline

Definition at line 260 of file experimental/string_view.

## ◆ crbegin()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const_reverse_iterator std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::crbegin | ( |  | ) | const
| inlinenoexcept

Definition at line 154 of file experimental/string_view.

## ◆ crend()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const_reverse_iterator std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::crend | ( |  | ) | const
| inlinenoexcept

Definition at line 158 of file experimental/string_view.

## ◆ data()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const _CharT * std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::data | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 218 of file experimental/string_view.

## ◆ empty()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

bool std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::empty | ( |  | ) | const
| inlinenodiscardconstexprnoexcept

Definition at line 179 of file experimental/string_view.

## ◆ end()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const_iterator std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::end | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 134 of file experimental/string_view.

## ◆ find() [1/4]

template<typename _CharT, typename _Traits>

basic_string_view< _CharT, _Traits >::size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find | ( | _CharT | __c,
|  | size_type | __pos = 0 ) const
| constexprnoexcept

Definition at line 74 of file experimental/bits/string_view.tcc.

## ◆ find() [2/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find | ( | basic_string_view< _CharT, _Traits > | __str,
|  | size_type | __pos = 0 ) const
| inlineconstexprnoexcept

Definition at line 326 of file experimental/string_view.

## ◆ find() [3/4]

template<typename _CharT, typename _Traits>

basic_string_view< _CharT, _Traits >::size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find | ( | const _CharT * | __str,
|  | size_type | __pos,
|  | size_type | __n ) const
| constexprnoexcept

Definition at line 53 of file experimental/bits/string_view.tcc.

## ◆ find() [4/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find | ( | const _CharT * | __str,
|  | size_type | __pos = 0 ) const
| inlineconstexprnoexcept

Definition at line 336 of file experimental/string_view.

## ◆ find_first_not_of() [1/4]

template<typename _CharT, typename _Traits>

basic_string_view< _CharT, _Traits >::size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_first_not_of | ( | _CharT | __c,
|  | size_type | __pos = 0 ) const
| constexprnoexcept

Definition at line 176 of file experimental/bits/string_view.tcc.

## ◆ find_first_not_of() [2/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_first_not_of | ( | basic_string_view< _CharT, _Traits > | __str,
|  | size_type | __pos = 0 ) const
| inlineconstexprnoexcept

Definition at line 385 of file experimental/string_view.

## ◆ find_first_not_of() [3/4]

template<typename _CharT, typename _Traits>

basic_string_view< _CharT, _Traits >::size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_first_not_of | ( | const _CharT * | __str,
|  | size_type | __pos,
|  | size_type | __n ) const
| constexpr

Definition at line 164 of file experimental/bits/string_view.tcc.

## ◆ find_first_not_of() [4/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_first_not_of | ( | const _CharT * | __str,
|  | size_type | __pos = 0 ) const
| inlineconstexprnoexcept

Definition at line 397 of file experimental/string_view.

## ◆ find_first_of() [1/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_first_of | ( | _CharT | __c,
|  | size_type | __pos = 0 ) const
| inlineconstexprnoexcept

Definition at line 358 of file experimental/string_view.

## ◆ find_first_of() [2/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_first_of | ( | basic_string_view< _CharT, _Traits > | __str,
|  | size_type | __pos = 0 ) const
| inlineconstexprnoexcept

Definition at line 354 of file experimental/string_view.

## ◆ find_first_of() [3/4]

template<typename _CharT, typename _Traits>

basic_string_view< _CharT, _Traits >::size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_first_of | ( | const _CharT * | __str,
|  | size_type | __pos,
|  | size_type | __n ) const
| constexpr

Definition at line 127 of file experimental/bits/string_view.tcc.

## ◆ find_first_of() [4/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_first_of | ( | const _CharT * | __str,
|  | size_type | __pos = 0 ) const
| inlineconstexprnoexcept

Definition at line 365 of file experimental/string_view.

## ◆ find_last_not_of() [1/4]

template<typename _CharT, typename _Traits>

basic_string_view< _CharT, _Traits >::size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_last_not_of | ( | _CharT | __c,
|  | size_type | __pos = npos ) const
| constexprnoexcept

Definition at line 208 of file experimental/bits/string_view.tcc.

## ◆ find_last_not_of() [2/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_last_not_of | ( | basic_string_view< _CharT, _Traits > | __str,
|  | size_type | __pos = npos ) const
| inlineconstexprnoexcept

Definition at line 404 of file experimental/string_view.

## ◆ find_last_not_of() [3/4]

template<typename _CharT, typename _Traits>

basic_string_view< _CharT, _Traits >::size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_last_not_of | ( | const _CharT * | __str,
|  | size_type | __pos,
|  | size_type | __n ) const
| constexpr

Definition at line 187 of file experimental/bits/string_view.tcc.

## ◆ find_last_not_of() [4/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_last_not_of | ( | const _CharT * | __str,
|  | size_type | __pos = npos ) const
| inlineconstexprnoexcept

Definition at line 416 of file experimental/string_view.

## ◆ find_last_of() [1/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_last_of | ( | _CharT | __c,
|  | size_type | __pos = npos ) const
| inlineconstexprnoexcept

Definition at line 374 of file experimental/string_view.

## ◆ find_last_of() [2/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_last_of | ( | basic_string_view< _CharT, _Traits > | __str,
|  | size_type | __pos = npos ) const
| inlineconstexprnoexcept

Definition at line 369 of file experimental/string_view.

## ◆ find_last_of() [3/4]

template<typename _CharT, typename _Traits>

basic_string_view< _CharT, _Traits >::size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_last_of | ( | const _CharT * | __str,
|  | size_type | __pos,
|  | size_type | __n ) const
| constexpr

Definition at line 143 of file experimental/bits/string_view.tcc.

## ◆ find_last_of() [4/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::find_last_of | ( | const _CharT * | __str,
|  | size_type | __pos = npos ) const
| inlineconstexprnoexcept

Definition at line 381 of file experimental/string_view.

## ◆ front()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const _CharT & std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::front | ( |  | ) | const
| inlineconstexpr

Definition at line 204 of file experimental/string_view.

## ◆ length()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::length | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 168 of file experimental/string_view.

## ◆ max_size()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::max_size | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 172 of file experimental/string_view.

## ◆ operator basic_string< _CharT, _Traits, _Allocator >()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>
template<typename _Allocator>

std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::operator basic_string< _CharT, _Traits, _Allocator > | ( |  | ) | const
| inlineexplicit

Definition at line 247 of file experimental/string_view.

## ◆ operator[]()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const _CharT & std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::operator[] | ( | size_type | __pos | ) | const
| inlineconstexpr

Definition at line 185 of file experimental/string_view.

## ◆ rbegin()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const_reverse_iterator std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::rbegin | ( |  | ) | const
| inlinenoexcept

Definition at line 146 of file experimental/string_view.

## ◆ remove_prefix()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

void std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::remove_prefix | ( | size_type | __n | ) |
| inlineconstexpr

Definition at line 224 of file experimental/string_view.

## ◆ remove_suffix()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

void std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::remove_suffix | ( | size_type | __n | ) |
| inlineconstexpr

Definition at line 232 of file experimental/string_view.

## ◆ rend()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

const_reverse_iterator std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::rend | ( |  | ) | const
| inlinenoexcept

Definition at line 150 of file experimental/string_view.

## ◆ rfind() [1/4]

template<typename _CharT, typename _Traits>

basic_string_view< _CharT, _Traits >::size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::rfind | ( | _CharT | __c,
|  | size_type | __pos = npos ) const
| constexprnoexcept

Definition at line 110 of file experimental/bits/string_view.tcc.

## ◆ rfind() [2/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::rfind | ( | basic_string_view< _CharT, _Traits > | __str,
|  | size_type | __pos = npos ) const
| inlineconstexprnoexcept

Definition at line 340 of file experimental/string_view.

## ◆ rfind() [3/4]

template<typename _CharT, typename _Traits>

basic_string_view< _CharT, _Traits >::size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::rfind | ( | const _CharT * | __str,
|  | size_type | __pos,
|  | size_type | __n ) const
| constexprnoexcept

Definition at line 90 of file experimental/bits/string_view.tcc.

## ◆ rfind() [4/4]

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::rfind | ( | const _CharT * | __str,
|  | size_type | __pos = npos ) const
| inlineconstexprnoexcept

Definition at line 350 of file experimental/string_view.

## ◆ size()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::size | ( |  | ) | const
| inlineconstexprnoexcept

Definition at line 164 of file experimental/string_view.

## ◆ substr()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

basic_string_view std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::substr | ( | size_type | __pos = 0,
|  | size_type | __n = npos ) const
| inlineconstexpr

Definition at line 279 of file experimental/string_view.

## ◆ swap()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

void std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::swap | ( | basic_string_view< _CharT, _Traits > & | __sv | ) |
| inlineconstexprnoexcept

Definition at line 236 of file experimental/string_view.

## ◆ to_string()

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>
template<typename _Allocator = std::allocator<_CharT>>

basic_string< _CharT, _Traits, _Allocator > std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::to_string | ( | const _Allocator & | __alloc = _Allocator() | ) | const
| inline

Definition at line 254 of file experimental/string_view.

## Member Data Documentation

## ◆ npos

template<typename _CharT, typename _Traits = std::char_traits<_CharT>>

size_type std::experimental::fundamentals_v1::basic_string_view< _CharT, _Traits >::npos
| staticconstexpr

Definition at line 97 of file experimental/string_view.

The documentation for this class was generated from the following files:

- experimental/string_view
- experimental/bits/string_view.tcc